OpenVDB 11.0.0

Loading...
Searching...
No Matches
Static Public Member Functions | Static Public Attributes | List of all members
numeric_limits< openvdb::math::internal::half > Class Reference

`#include <openvdb/math/Half.h>`

## Static Public Member Functions
static constexpr openvdb::math::internal::half | min () noexcept
static constexpr openvdb::math::internal::half | max () noexcept
static constexpr openvdb::math::internal::half | lowest ()
static constexpr openvdb::math::internal::half | epsilon () noexcept
static constexpr openvdb::math::internal::half | round_error () noexcept
static constexpr openvdb::math::internal::half | infinity () noexcept
static constexpr openvdb::math::internal::half | quiet_NaN () noexcept
static constexpr openvdb::math::internal::half | signaling_NaN () noexcept
static constexpr openvdb::math::internal::half | denorm_min () noexcept

## Static Public Attributes
static const bool | is_specialized = true
static constexpr int | digits = 11
static constexpr int | digits10 = 3
static constexpr int | max_digits10 = 5
static constexpr bool | is_signed = true
static constexpr bool | is_integer = false
static constexpr bool | is_exact = false
static constexpr int | radix = 2
static constexpr int | min_exponent = -13
static constexpr int | min_exponent10 = -4
static constexpr int | max_exponent = 16
static constexpr int | max_exponent10 = 4
static constexpr bool | has_infinity = true
static constexpr bool | has_quiet_NaN = true
static constexpr bool | has_signaling_NaN = true
static constexpr float_denorm_style | has_denorm = denorm_present
static constexpr bool | has_denorm_loss = false
static constexpr bool | is_iec559 = false
static constexpr bool | is_bounded = false
static constexpr bool | is_modulo = false
static constexpr bool | traps = true
static constexpr bool | tinyness_before = false
static constexpr float_round_style | round_style = round_to_nearest

## Member Function Documentation

## ◆ denorm_min()

static constexpr openvdb::math::internal::half denorm_min | ( |  | ) |
| inline static constexpr noexcept

## ◆ epsilon()

static constexpr openvdb::math::internal::half epsilon | ( |  | ) |
| inline static constexpr noexcept

## ◆ infinity()

static constexpr openvdb::math::internal::half infinity | ( |  | ) |
| inline static constexpr noexcept

## ◆ lowest()

static constexpr openvdb::math::internal::half lowest | ( |  | ) |
| inline static constexpr

## ◆ max()

static constexpr openvdb::math::internal::half max | ( |  | ) |
| inline static constexpr noexcept

## ◆ min()

static constexpr openvdb::math::internal::half min | ( |  | ) |
| inline static constexpr noexcept

## ◆ quiet_NaN()

static constexpr openvdb::math::internal::half quiet_NaN | ( |  | ) |
| inline static constexpr noexcept

## ◆ round_error()

static constexpr openvdb::math::internal::half round_error | ( |  | ) |
| inline static constexpr noexcept

## ◆ signaling_NaN()

static constexpr openvdb::math::internal::half signaling_NaN | ( |  | ) |
| inline static constexpr noexcept

## Member Data Documentation

## ◆ digits

constexpr int digits = 11
| static constexpr

## ◆ digits10

constexpr int digits10 = 3
| static constexpr

## ◆ has_denorm

constexpr float_denorm_style has_denorm = denorm_present
| static constexpr

## ◆ has_denorm_loss

constexpr bool has_denorm_loss = false
| static constexpr

## ◆ has_infinity

constexpr bool has_infinity = true
| static constexpr

## ◆ has_quiet_NaN

constexpr bool has_quiet_NaN = true
| static constexpr

## ◆ has_signaling_NaN

constexpr bool has_signaling_NaN = true
| static constexpr

## ◆ is_bounded

constexpr bool is_bounded = false
| static constexpr

## ◆ is_exact

constexpr bool is_exact = false
| static constexpr

## ◆ is_iec559

constexpr bool is_iec559 = false
| static constexpr

## ◆ is_integer

constexpr bool is_integer = false
| static constexpr

## ◆ is_modulo

constexpr bool is_modulo = false
| static constexpr

## ◆ is_signed

constexpr bool is_signed = true
| static constexpr

## ◆ is_specialized

const bool is_specialized = true
| static

## ◆ max_digits10

constexpr int max_digits10 = 5
| static constexpr

## ◆ max_exponent

constexpr int max_exponent = 16
| static constexpr

## ◆ max_exponent10

constexpr int max_exponent10 = 4
| static constexpr

## ◆ min_exponent

constexpr int min_exponent = -13
| static constexpr

## ◆ min_exponent10

constexpr int min_exponent10 = -4
| static constexpr

## ◆ radix

constexpr int radix = 2
| static constexpr

## ◆ round_style

constexpr float_round_style round_style = round_to_nearest
| static constexpr

## ◆ tinyness_before

constexpr bool tinyness_before = false
| static constexpr

## ◆ traps

constexpr bool traps = true
| static constexpr